Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.eclipse.gef.finder.widgets
Class SWTBotGefView

    java.lang.Object
      org.eclipse.swtbot.eclipse.finder.widgets.SWTBotWorkbenchPart<IViewReference>
          org.eclipse.swtbot.eclipse.finder.widgets.SWTBotView
              org.eclipse.swtbot.eclipse.gef.finder.widgets.SWTBotGefView

    public class SWTBotGefView

extends SWTBotView

Field Summary
`protected SWTBotGefViewer` | `viewer`

Fields inherited from class org.eclipse.swtbot.eclipse.finder.widgets.SWTBotWorkbenchPart
`bot, log, partReference`

Constructor Summary
`SWTBotGefView(IViewReference partReference, SWTWorkbenchBot bot)`

Method Summary
`SWTBotGefViewer` | `getSWTBotGefViewer()` Get the wrapped SWTBotGefViewer instance.

Methods inherited from class org.eclipse.swtbot.eclipse.finder.widgets.SWTBotView
`close, getViewReference, isActive, menu, menu, menus, setFocus`

Methods inherited from class org.eclipse.swtbot.eclipse.finder.widgets.SWTBotWorkbenchPart
`assertActive, bot, findWidget, findWidgets, getReference, getTitle, getToolbarButtons, getWidget, show, toolbarButton, toolbarDropDownButton, toolbarPushButton, toolbarRadioButton, toolbarToggleButton`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewer

    protected final SWTBotGefViewer viewer

Constructor Detail

### SWTBotGefView

    public SWTBotGefView(IViewReference partReference,
                         SWTWorkbenchBot bot)

Method Detail

### getSWTBotGefViewer

    public SWTBotGefViewer getSWTBotGefViewer()

  Get the wrapped SWTBotGefViewer instance.

  Returns:
    a SWTBotGefViewer instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD